Configure email integration
curl --request PUT \
--url https://api.naturalead.ai/api/integrations/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailFromAddress": "[email protected]",
"emailFromName": "<string>"
}
'import requests
url = "https://api.naturalead.ai/api/integrations/email"
payload = {
"emailFromAddress": "[email protected]",
"emailFromName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emailFromAddress: '[email protected]', emailFromName: '<string>'})
};
fetch('https://api.naturalead.ai/api/integrations/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fromAddress": "[email protected]",
"verified": true,
"records": [
{}
],
"message": "<string>",
"fromName": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Integrations
Configure Email
Sets up or updates the email sending configuration for the account.
Registers the email domain with Resend and returns DNS records that
must be added to verify the domain.
Requires integrations:edit permission.
PUT
/
api
/
integrations
/
email
Configure email integration
Authorizations
Bearer token using an API key (format nl_live_* or nl_test_*)
Body
application/json
The email address to send from (e.g. [email protected])
Display name for the from address (optional)